# StardewScraper

This is .NET console program which uses [the MediaWiki Action API](https://www.mediawiki.org/wiki/API:Main_page) to retrieve data from the official Stardew Valley wiki. The program works by retrieving JSON data objects via the API, and parsing those objects for relevant information in the `infobox` section of each page. Because the JSON returned from the MediaWiki API is very polluted, this program makes heavy use of regular expressions (regex) to extract the relevant information.

It also exports everything to a JSON text file for use elsewhere (like Enchiridion Reader, an ongoing project I have yet to release publicly).

## Notes
I have not updated this script since 2020, and there have been several major game updates since then. It's possible (maybe even probable) that it will still successfully scrape data, but it may miss entirely new types of data.

If/when I get back into my other project, I'll be updating this script to work with the latest game data.